Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## statemap
Class StateUndefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  statemap.StateUndefinedException

All Implemented Interfaces:
  java.io.Serializable

    public final class StateUndefinedException

extends java.lang.RuntimeException

A `StateUndefinedException` is thrown by an SMC-generated state machine whenever a transition is taken and there is no state currently set. This occurs when a transition is issued from with a transition action.

See Also:
  Serialized Form

Constructor Summary
`StateUndefinedException()` Default constructor.
`StateUndefinedException(java.lang.String reason)` Constructs a `StateUndefinedException` with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateUndefinedException

    public StateUndefinedException()

  Default constructor.

### StateUndefinedException

    public StateUndefinedException(java.lang.String reason)

  Constructs a `StateUndefinedException` with a detail message.

  Parameters:
    `reason` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.